# Uses of Class
com.ocient.metrics.Gauge

Packages that use Gauge
Package
Description
com.ocient.jdbc
com.ocient.metrics

## Uses of Gauge in com.ocient.jdbc

Methods in com.ocient.jdbc that return types with arguments of type Gauge
Modifier and Type
Method
Description
`static Set<Gauge>`
XGConnection.`getConnectionPoolGauges()`

## Uses of Gauge in com.ocient.metrics

Methods in com.ocient.metrics with parameters of type Gauge
Modifier and Type
Method
Description
`void`
MetricsRegistry.`registerGauge(Gauge gauge)`
Adds the `Gauge` to the global registry
`boolean`
MetricsRegistry.`removeGauge(Gauge gauge)`
Removes the `Gauge` from the global registry